// TAG
onEvent('item.tags', event => {
                                              //copper
   event.remove('forge:ores/copper', ['create:copper_ore', 'mekanism:copper_ore', 'iceandfire:copper_ore', 'tconstruct:copper_ore', 'immersiveengineering:ore_copper'])
   event.remove('forge:ingots/copper', ['immersiveengineering:ingot_copper', 'tconstruct:copper_ingot', 'iceandfire:copper_ingot', 'mekanism:ingot_copper', 'create:copper_ingot'])
   event.remove('forge:nuggets/copper', ['create:copper_nugget', 'immersiveengineering:nugget_copper', 'mekanism:nugget_copper', 'tconstruct:copper_nugget', 'iceandfire:copper_nugget'])
   event.remove('forge:plates/copper', ['create:copper_sheet', 'immersiveengineering:plate_copper'])
   event.remove('forge:dusts/copper', ['mekanism:dust_copper', 'immersiveengineering:dust_copper'])
   event.remove('forge:wires/copper', 'createaddition:copper_wire')
                                             //lead
   event.remove('forge:ores/lead', ['eidolon:lead_ore', 'immersiveengineering:ore_lead', 'mekanism:lead_ore'])
   event.remove('forge:ingots/lead', ['eidolon:lead_ingot', 'immersiveengineering:ingot_lead', 'mekanism:ingot_lead'])
   event.remove('forge:nuggets/lead', ['eidolon:lead_nugget', 'immersiveengineering:nugget_lead', 'mekanism:nugget_lead'])
   event.remove('forge:plates/lead', ['immersiveengineering:plate_lead'])
   event.remove('forge:dusts/lead', ['immersiveengineering:dust_lead', 'mekanism:dust_lead'])
                                            //silver
    event.remove('forge:ingots/silver',['immersiveengineering:ingot_silver', 'iceandfire:silver_ingot'])
    event.remove('forge:nuggets/silver',['immersiveengineering:nugget_silver', 'iceandfire:silver_nugget'])
    event.remove('forge:ores/silver',['immersiveengineering:ore_silver', 'iceandfire:silver_ore'])
    event.remove('forge:plates/silver','immersiveengineering:plate_silver')
    event.remove('forge:dusts/silver','immersiveengineering:dust_silver')
                                           //nickel
    event.remove('forge:ores/nickel','immersiveengineering:ore_nickel')
    event.remove('forge:plates/nickel','immersiveengineering:plate_nickel')
    event.remove('forge:nuggets/nickel','immersiveengineering:nugget_nickel')
    event.remove('forge:dusts/nickel','immersiveengineering:dust_nickel')
    event.remove('forge:ingots/nickel','immersiveengineering:ingot_nickel')
                                            //uranium
    event.remove('forge:ores/uranium',['immersiveengineering:ore_uranium', 'biggerreactors:yellorite_ore'])
    event.remove('forge:ingots/uranium',['immersiveengineering:ingot_uranium', 'biggerreactors:yellorium_ingot'])
    event.remove('forge:dusts/uranium',['immersiveengineering:dust_uranium', 'biggerreactors:yellorium_dust'])
    event.remove('forge:nuggets/uranium','immersiveengineering:nugget_uranium')
                                            //tin
    event.remove('forge:ores/tin','mekanism:tin_ore')
    event.remove('forge:ingots/tin','mekanism:ingot_tin')
    event.remove('forge:dusts/tin','mekanism:dust_tin')
    event.remove('forge:nuggets/tin','mekanism:nugget_tin')
                                           //steel
    event.remove('forge:ingots/steel',['boss_tools:steel_ingot', 'immersiveengineering:ingot_steel'])
    event.remove('forge:nuggets/steel',['immersiveengineering:nugget_steel', 'boss_tools:steel_nugget',])
    event.remove('forge:storage_blocks/steel',['immersiveengineering:storage_steel'])
                                           //iron
    event.remove('forge:plates/iron',['boss_tools:iron_plate', 'immersiveengineering:plate_iron'])

    
                                        
   
   
  
    
  })
  
  onEvent('block.tags', event => {
                                            //copper
    event.remove('forge:ores/copper',['create:copper_ore', 'mekanism:copper_ore', 'iceandfire:copper_ore', 'tconstruct:copper_ore', 'immersiveengineering:ore_copper'])
                                            //lead
    event.remove('forge:ores/lead',['eidolon:lead_ore', 'immersiveengineering:ore_lead', 'mekanism:lead_ore'])
                                            //silver
    event.remove('forge:ores/silver',['iceandfire:silver_ore', 'immersiveengineering:ore_silver'])
                                            //nickel
    event.remove('forge:ores/nickel','immersiveengineering:ore_nickel',)
                                            //uranium
    event.remove('forge:ores/uranium',['immersiveengineering:ore_uranium', 'biggerreactors:yellorite_ore'])
                                            //tin
    event.remove('forge:ores/tin','mekanism:tin_ore')
     
    
     
    
    
   
    
   })
  //remove 
   onEvent('recipes', event => {
	                                  //COPPER
    //iceandfire
	event.remove({id: 'iceandfire:furnace/copper_ingot_blasting'})
	event.remove({id: 'iceandfire:furnace/copper_ingot'})
	event.remove({id: 'iceandfire:copper_ingot'})
	event.remove({id: 'iceandfire:copper_block_to_ingots'})
	event.remove({id: 'iceandfire:copper_ingot_to_nuggets'})
	event.remove({id: 'iceandfire:furnace/copper_nugget_blasting'})
	event.remove({id: 'iceandfire:furnace/copper_nugget'})
	event.remove({id: 'iceandfire:copper_block'})
	//tinkers'construct
    event.remove({id: 'tconstruct:common/materials/copper_ingot_blasting'})
    event.remove({id: 'tconstruct:common/materials/copper_ingot_smelting'})
    event.remove({id: 'tconstruct:common/materials/copper_ingot_from_block'})
    event.remove({id: 'tconstruct:common/materials/copper_ingot_from_nuggets'})
    event.remove({id: 'tconstruct:common/materials/copper_nugget_from_ingot'})
    event.remove({id: 'tconstruct:common/materials/copper_block_from_ingots'})
   //immersive engineeering
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper'})
    event.remove({id: 'immersiveengineering:crafting/storage_copper_to_ingot_copper'})
    event.remove({id: 'immersiveengineering:crafting/nugget_copper_to_ingot_copper'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_from_dust_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_from_dust'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_to_nugget_copper'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_to_storage_copper'})
     //create
    event.remove({id: 'create:blasting/copper_ingot_from_ore'})
    event.remove({id: 'create:blasting/copper_ingot_from_crushed'})
    event.remove({id: 'create:smelting/copper_ingot_from_ore'})
    event.remove({id: 'create:crafting/materials/copper_ingot_from_compacting'})
    event.remove({id: 'create:crafting/materials/copper_ingot_from_decompacting'})
    event.remove({id: 'create:crafting/materials/copper_nugget_from_decompacting'})
    event.remove({id: 'create:crafting/materials/copper_block_from_compacting'})
    event.remove({id: 'tconstruct:smeltery/casting/metal/copper/plate_sand_cast'})
    //mekanism
    event.remove({id: 'mekanism:processing/copper/ingot/from_block'})
    event.remove({id: 'mekanism:processing/copper/ingot/from_nuggets'})
    event.remove({id: 'iapmekanism:copper'})
    event.remove({id: 'mekanism:processing/copper/ingot/from_dust_blasting'})
    event.remove({id: 'mekanism:processing/copper/ingot/from_dust_smelting'})
    event.remove({id: 'mekanism:processing/copper/ingot/from_ore_blasting'})
    event.remove({id: 'mekanism:processing/copper/ingot/from_ore_smelting'})
    event.remove({id: 'mekanism:processing/copper/nugget/from_ingot'})
    event.remove({id: 'mekanism:processing/copper/storage_blocks/from_ingots'})
                                        //lead
    //immersive engineerig
    event.remove({id: 'immersiveengineering:crafting/ingot_lead_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_lead'})
    event.remove({id: 'immersiveengineering:crafting/storage_lead_to_ingot_lead'})
    event.remove({id: 'immersiveengineering:crafting/nugget_lead_to_ingot_lead'})
    event.remove({id: 'create:blasting/ingot_lead_compat_immersiveengineering'})
    event.remove({id: 'create:smelting/ingot_lead_compat_immersiveengineering'})
    event.remove({id: 'immersiveengineering:crafting/ingot_lead_from_dust_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_lead_from_dust'})
    event.remove({id: 'immersiveengineering:crafting/ingot_lead_to_nugget_lead'})
    event.remove({id: 'immersiveengineering:crafting/ingot_lead_to_storage_lead'})
    event.remove({id: 'thermal:compat/immersiveengineering/pulverizer_ie_uranium_ore'})
    //eidolon
    event.remove({id: 'eidolon:decompress_lead_block'})
    event.remove({id: 'eidolon:lead_ingot'})
    event.remove({id: 'eidolon:blast_lead_dust'})
    event.remove({id: 'eidolon:blast_lead_ore'})
    event.remove({id: 'eidolon:smelt_lead_dust'})
    event.remove({id: 'eidolon:smelt_lead_ore'})
    event.remove({id: 'eidolon:decompress_lead_ingot'})
    event.remove({id: 'eidolon:lead_block'})
    event.remove({id: 'create:blasting/lead_ingot_compat_eidolon'})
    event.remove({id: 'create:smelting/lead_ingot_compat_eidolon'})
    //mekanism
    event.remove({id: 'mekanism:processing/lead/ingot/from_block'})
    event.remove({id: 'mekanism:processing/lead/storage_blocks/from_ingots'})
    event.remove({id: 'mekanism:processing/lead/ingot/from_nuggets'})
    event.remove({id: 'mekanism:processing/lead/nugget/from_ingot'})
    event.remove({id: 'mekanism:processing/lead/ingot/from_ore_blasting'})
    event.remove({id: 'mekanism:processing/lead/ingot/from_ore_smelting'})
    event.remove({id: 'mekanism:processing/lead/ingot/from_dust_blasting'})
    event.remove({id: 'mekanism:processing/lead/ingot/from_dust_smelting'})
    event.remove({id: 'create:blasting/ingot_lead_compat_mekanism'})
    event.remove({id: 'create:smelting/ingot_lead_compat_mekanism'})
    //create
    event.remove({id: 'create:splashing/immersiveengineering/crushed_lead_ore'})
    event.remove({id: 'create:splashing/eidolon/crushed_lead_ore'})
    event.remove({id: 'create:splashing/mekanism/crushed_lead_ore'})
                                       //silver
   //immersive enineerig
    event.remove({id: 'immersiveengineering:crafting/hammercrushing_silver'})
    event.remove({id: 'immersiveengineering:crafting/plate_silver_hammering'})
    event.remove({id: 'immersiveengineering:crafting/ingot_silver_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_silver'})
    event.remove({id: 'immersiveengineering:crafting/ingot_silver_from_dust_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_silver_from_dust'})
    event.remove({id: 'create:blasting/ingot_silver_compat_immersiveengineering'})
    event.remove({id: 'create:smelting/ingot_silver_compat_immersiveengineering'})
    event.remove({id: 'immersiveengineering:crafting/ingot_silver'})
    event.remove({id: 'immersiveengineering:crafting/storage_silver_to_ingot_silver'})
    event.remove({id: 'immersiveengineering:crafting/nugget_silver_to_ingot_silver'})
    event.remove({id: 'immersiveengineering:crafting/ingot_silver_to_nugget_silver'})
    event.remove({id: 'immersiveengineering:crafting/ingot_silver_to_storage_silver'})
    event.remove({id: 'create:splashing/immersiveengineering/crushed_silver_ore'})
   //iceandfire
    event.remove({id: 'iceandfire:silver_ingot'})
    event.remove({id: 'iceandfire:silver_block_to_ingots'})
    event.remove({id: 'iceandfire:furnace/silver_ingot_blasting'})
    event.remove({id: 'iceandfire:furnace/silver_ingot'})
    event.remove({id: 'create:smelting/silver_ingot_compat_iceandfire'})
    event.remove({id: 'create:blasting/silver_ingot_compat_iceandfire'})
    event.remove({id: 'iceandfire:silver_ingot_to_nuggets'})
    event.remove({id: 'iceandfire:furnace/silver_nugget_blasting'})
    event.remove({id: 'iceandfire:furnace/silver_nugget'})
    event.remove({id: 'iceandfire:silver_block'})
    event.remove({id: 'create:splashing/iceandfire/crushed_silver_ore'})
                                        //nickel
   //immersive engineering
    event.remove({id: 'immersiveengineering:crafting/ingot_nickel_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_nickel_from_dust_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_nickel_from_dust'})
    event.remove({id: 'immersiveengineering:crafting/ingot_nickel'})
    event.remove({id: 'immersiveengineering:crafting/ingot_nickel_to_storage_nickel'})
    event.remove({id: 'immersiveengineering:crafting/storage_nickel_to_ingot_nickel'})
    event.remove({id: 'immersiveengineering:crafting/nugget_nickel_to_ingot_nickel'})
    event.remove({id: 'immersiveengineering:crafting/ingot_nickel_to_nugget_nickel'})
    event.remove({id: 'create:splashing/immersiveengineering/crushed_nickel_ore'})
    event.remove({id: 'create:blasting/ingot_nickel_compat_immersiveengineering'})
    event.remove({id: 'create:smelting/ingot_nickel_compat_immersiveengineering'})
                                        //uranium
  //immersive engineering
    event.remove({id: 'immersiveengineering:crafting/ingot_uranium_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_uranium_from_dust_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_uranium_from_dust'})
    event.remove({id: 'immersiveengineering:crafting/ingot_uranium'})
    event.remove({id: 'immersiveengineering:crafting/ingot_uranium_to_nugget_uranium'})
    event.remove({id: 'immersiveengineering:crafting/storage_uranium_to_ingot_uranium'})
    event.remove({id: 'immersiveengineering:crafting/nugget_uranium_to_ingot_uranium'})
    event.remove({id: 'immersiveengineering:crafting/ingot_uranium_to_storage_uranium'})
    event.remove({id: 'create:blasting/ingot_uranium_compat_immersiveengineering'})
    event.remove({id: 'create:smelting/ingot_uranium_compat_immersiveengineering'})
    event.remove({id: 'create:splashing/immersiveengineering/crushed_uranium_ore'})
                                         //tin
    //mekanism
    event.remove({id: 'mekanism:processing/tin/ingot/from_block'})
    event.remove({id: 'mekanism:processing/tin/ingot/from_nuggets'})
    event.remove({id: 'mekanism:processing/tin/nugget/from_ingot'})
    event.remove({id: 'mekanism:processing/tin/storage_blocks/from_ingots'})
    event.remove({id: 'mekanism:processing/tin/dust/from_ingot'})
    event.remove({id: 'mekanism:processing/tin/dust/from_ore'})
    event.remove({id: 'mekanism:processing/tin/dust/from_dirty_dust'})
    event.remove({id: 'mekanism:processing/tin/ingot/from_ore_blasting'})
    event.remove({id: 'mekanism:processing/tin/ingot/from_ore_smelting'})
    event.remove({id: 'mekanism:processing/tin/ingot/from_dust_blasting'})
    event.remove({id: 'mekanism:processing/tin/ingot/from_dust_smelting'})
    event.remove({id: 'iapmekanism:tin'})
    event.remove({id: 'create:blasting/ingot_tin_compat_mekanism'})
    event.remove({id: 'create:smelting/ingot_tin_compat_mekanism'})
    event.remove({id: 'create:splashing/mekanism/crushed_tin_ore'})
                                     //steel
    //immersive engineering
    event.remove({id: 'immersiveengineering:crafting/storage_steel_to_ingot_steel'})
    event.remove({id: 'immersiveengineering:crafting/nugget_steel_to_ingot_steel'})
    event.remove({id: 'immersiveengineering:crafting/ingot_steel_to_nugget_steel'})
    event.remove({id: 'immersiveengineering:crafting/ingot_steel_to_storage_steel'})
    event.remove({id: 'immersiveengineering:crafting/ingot_steel_from_dust_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_steel_from_dust'})
    //space-bosstools
    event.remove({id: 'boss_tools:steel_ingot'})
    event.remove({id: 'boss_tools:steel_ingot_from_nugget'})
    event.remove({id: 'boss_tools:steel_nugget_from_ingot'})
    event.remove({id: 'boss_tools:steel_block'})
    
  
   
          
    
   
   
	
	
	
	 
    
    
    //stonecutter
      function stoneCutter(input, output){event.custom({"type": "minecraft:stonecutting","ingredient": input,"result": output,"count": 1})}

      //Copper
      stoneCutter([{"item": "thermal:copper_block"},{"item": "tconstruct:copper_block"},{"item": "immersiveengineering:storage_copper"},{"item": "mekanism:block_copper"},{"item": "iceandfire:copper_block"}],'create:copper_block')
      stoneCutter([{"item": "create:copper_block"},{"item": "tconstruct:copper_block"},{"item": "immersiveengineering:storage_copper"},{"item": "mekanism:block_copper"},{"item": "iceandfire:copper_block"}],'thermal:copper_block')
      stoneCutter([{"item": "thermal:copper_block"},{"item": "create:copper_block"},{"item": "immersiveengineering:storage_copper"},{"item": "mekanism:block_copper"},{"item": "iceandfire:copper_block"}],'tconstruct:copper_block')
      stoneCutter([{"item": "thermal:copper_block"},{"item": "tconstruct:copper_block"},{"item": "create:copper_block"},{"item": "mekanism:block_copper"},{"item": "iceandfire:copper_block"}],'immersiveengineering:storage_copper')
      stoneCutter([{"item": "thermal:copper_block"},{"item": "tconstruct:copper_block"},{"item": "immersiveengineering:storage_copper"},{"item": "create:copper_block"},{"item": "iceandfire:copper_block"}],'mekanism:block_copper')
      stoneCutter([{"item": "thermal:copper_block"},{"item": "tconstruct:copper_block"},{"item": "immersiveengineering:storage_copper"},{"item": "create:copper_block"},{"item": "mekanism:block_copper"}],'iceandfire:copper_block')
      //lead
      stoneCutter([{"item": "thermal:lead_block"},{"item": "mekanism:block_lead"},{"item": "eidolon:lead_block"}],'immersiveengineering:storage_lead')
      stoneCutter([{"item": "thermal:lead_block"},{"item": "mekanism:block_lead"},{"item": "immersiveengineering:storage_lead"}],'eidolon:lead_block')
      stoneCutter([{"item": "thermal:lead_block"},{"item": "immersiveengineering:storage_lead"},{"item": "eidolon:lead_block"}],'mekanism:block_lead')
      stoneCutter([{"item": "mekanism:block_lead"},{"item": "immersiveengineering:storage_lead"},{"item": "eidolon:lead_block"}],'thermal:lead_block')
      //silver
      stoneCutter([{"item": "thermal:silver_block"},{"item": "iceandfire:silver_block"}],'immersiveengineering:storage_silver')
      stoneCutter([{"item": "thermal:silver_block"},{"item": "immersiveengineering:storage_silver"}],'iceandfire:silver_block')
      stoneCutter([{"item": "immersiveengineering:storage_silver"},{"item": "iceandfire:silver_block"}],'thermal:silver_block')
      //steel
      stoneCutter([{"item": "mekanism:block_steel"},{"item": "boss_tools:steel_block"}],'immersiveengineering:storage_steel')
      stoneCutter([{"item": "mekanism:block_steel"},{"item": "immersiveengineering:storage_steel"}],'boss_tools:steel_block')
      stoneCutter([{"item": "immersiveengineering:storage_steel"},{"item": "boss_tools:steel_block"}],'mekanism:block_steel')
     //nickel
      stoneCutter([{"item": "thermal:nickel_block"}],'immersiveengineering:storage_nickel')
      stoneCutter([{"item": "immersiveengineering:storage_nickel"}],'thermal:nickel_block')
      //uranium
      stoneCutter([{"item": "immersiveengineering:storage_uranium"}],'mekanism:block_uranium')
      stoneCutter([{"item": "mekanism:block_uranium"}],'immersiveengineering:storage_uranium')
      //tin
      stoneCutter([{"item": "mekanism:block_tin"}],'thermal:tin_block')
      stoneCutter([{"item": "thermal:tin_block"}],'mekanism:block_tin')

   
  
      

      
      
  
    
    
    })  
  
